export declare const cl100k_base = "cl100k_base";
export declare const p50k_base = "p50k_base";
export declare const p50k_edit = "p50k_edit";
export declare const r50k_base = "r50k_base";
export declare const encodingNames: readonly ["cl100k_base", "p50k_base", "r50k_base", "p50k_edit"];
export declare const modelToEncodingMap: {
    readonly 'gpt-4': "cl100k_base";
    readonly 'gpt-4-32k': "cl100k_base";
    readonly 'gpt-4-0314': "cl100k_base";
    readonly 'gpt-4-32k-0314': "cl100k_base";
    readonly 'gpt-3.5-turbo': "cl100k_base";
    readonly 'gpt-3.5-turbo-0301': "cl100k_base";
    readonly 'text-davinci-003': "p50k_base";
    readonly 'text-davinci-002': "p50k_base";
    readonly 'text-davinci-001': "r50k_base";
    readonly 'text-curie-001': "r50k_base";
    readonly 'text-babbage-001': "r50k_base";
    readonly 'text-ada-001': "r50k_base";
    readonly davinci: "r50k_base";
    readonly curie: "r50k_base";
    readonly babbage: "r50k_base";
    readonly ada: "r50k_base";
    readonly 'code-davinci-002': "p50k_base";
    readonly 'code-davinci-001': "p50k_base";
    readonly 'code-cushman-002': "p50k_base";
    readonly 'code-cushman-001': "p50k_base";
    readonly 'davinci-codex': "p50k_base";
    readonly 'cushman-codex': "p50k_base";
    readonly 'text-davinci-edit-001': "p50k_edit";
    readonly 'code-davinci-edit-001': "p50k_edit";
    readonly 'text-embedding-ada-002': "cl100k_base";
    readonly 'text-similarity-davinci-001': "r50k_base";
    readonly 'text-similarity-curie-001': "r50k_base";
    readonly 'text-similarity-babbage-001': "r50k_base";
    readonly 'text-similarity-ada-001': "r50k_base";
    readonly 'text-search-davinci-doc-001': "r50k_base";
    readonly 'text-search-curie-doc-001': "r50k_base";
    readonly 'text-search-babbage-doc-001': "r50k_base";
    readonly 'text-search-ada-doc-001': "r50k_base";
    readonly 'code-search-babbage-code-001': "r50k_base";
    readonly 'code-search-ada-code-001': "r50k_base";
};
export interface ChatParameters {
    messageSeparator: string;
    roleSeparator: string;
}
declare const internalChatModelParams: {
    'gpt-3.5-turbo': {
        messageSeparator: string;
        roleSeparator: string;
    };
    'gpt-3.5-turbo-0301': {
        messageSeparator: string;
        roleSeparator: string;
    };
    'gpt-4': {
        messageSeparator: string;
        roleSeparator: string;
    };
    'gpt-4-0314': {
        messageSeparator: string;
        roleSeparator: string;
    };
    'gpt-4-32k': {
        messageSeparator: string;
        roleSeparator: string;
    };
    'gpt-4-32k-0314': {
        messageSeparator: string;
        roleSeparator: string;
    };
};
export declare const chatModelParams: Partial<Record<ModelName, ChatParameters>>;
export type ModelName = keyof typeof modelToEncodingMap;
export type ChatModelName = keyof typeof internalChatModelParams;
export type EncodingName = (typeof modelToEncodingMap)[ModelName];
export {};
